Bug 838884 - Cobbler does not require python-ctypes package when it should.
Cobbler does not require python-ctypes package when it should.
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: cobbler (Show other bugs)
el6
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: James C.
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 06:48 EDT by Dimitar Yordanov
Modified: 2014-05-09 18:01 EDT (History)
5 users (show)

See Also:
Fixed In Version: cobbler-2.4.4-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-03 15:57:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add python-ctypes to requires (227 bytes, patch)
2012-10-22 14:38 EDT, Bill McGonigle
no flags Details | Diff

  None (edit)
Description Dimitar Yordanov 2012-07-10 06:48:17 EDT
Description of problem:
Cobbler does not require python-ctypes package when it should.

Version-Release number of selected component (if applicable):
SW Nightly on [ EL5 | EL6 ] [ OracleXE | PostgreSQL ]
cobbler-2.2.3-2

How reproducible:
100%

Steps to Reproduce:
1. Install SW Nightly on [ EL5 | EL6 ] [ OracleXE | PostgreSQL ]
2.# rhn-satellite start
Starting spacewalk services...
Initializing jabberd processes ...
Starting router: [  OK  ]
Starting sm: [  OK  ]
Starting c2s: [  OK  ]
Starting s2s: [  OK  ]
Starting tomcat5:                                          [  OK  ]
Waiting for tomcat to be ready ...
Starting httpd: [  OK  ]
Starting osa-dispatcher: [  OK  ]
Starting Monitoring ...  
[ OK ]
Starting MonitoringScout ...  
[ OK ]
Starting rhn-search...
Starting cobbler daemon: No module named ctypes
Traceback (most recent call last):
  File "/usr/bin/cobblerd", line 76, in main
    api = cobbler_api.BootAPI(is_cobblerd=True)
  File "/usr/lib/python2.4/site-packages/cobbler/api.py", line 127, in __init__
    module_loader.load_modules()
  File "/usr/lib/python2.4/site-packages/cobbler/module_loader.py", line 62, in load_modules
    blip =  __import__("modules.%s" % ( modname), globals(), locals(), [modname])
  File "/usr/lib/python2.4/site-packages/cobbler/modules/authn_pam.py", line 53, in ?
    from ctypes import CDLL, POINTER, Structure, CFUNCTYPE, cast, pointer, sizeof
ImportError: No module named ctypes
[  OK  ]
Starting RHN Taskomatic...
Done.
Comment 1 fcardoso 2012-08-22 06:29:22 EDT
This behaviour is also present in EL5.

Also 100% Reproductible
Comment 2 Greg Swift 2012-10-15 09:48:43 EDT
Cobbler's bug tracking is hosted via github now.

https://github.com/cobbler/cobbler/issues/
Comment 3 Bill McGonigle 2012-10-22 14:38:56 EDT
Created attachment 631672 [details]
add python-ctypes to requires

adding trivial patch to make this work for yum.

Test (el5):
-------

[root@host ~]# yum -y install cobbler

...

Installed:
  cobbler.noarch 0:2.2.3-2.el5                                                                                                     

Dependency Installed:
  PyYAML.x86_64 0:3.08-4.el5               createrepo.noarch 0:0.4.11-3.el5             libyaml.x86_64 0:0.1.2-3.el5               
  mkisofs.x86_64 9:2.01-10.7.el5           mod_wsgi.x86_64 0:3.2-2.el5                  python-cheetah.x86_64 0:2.0.1-1.el5        
  python-netaddr.noarch 0:0.5.2-1.el5      python-simplejson.x86_64 0:2.0.9-8.el5       tftp-server.x86_64 0:0.49-2.el5.centos     
  xinetd.x86_64 2:2.3.14-16.el5            yum-utils.noarch 0:1.1.16-21.el5.centos     

Complete!


[root@host ~]# service cobblerd start
Starting cobbler daemon: No module named ctypes
Traceback (most recent call last):
  File "/usr/bin/cobblerd", line 76, in main
    api = cobbler_api.BootAPI(is_cobblerd=True)
  File "/usr/lib/python2.4/site-packages/cobbler/api.py", line 127, in __init__
    module_loader.load_modules()
  File "/usr/lib/python2.4/site-packages/cobbler/module_loader.py", line 62, in load_modules
    blip =  __import__("modules.%s" % ( modname), globals(), locals(), [modname])
  File "/usr/lib/python2.4/site-packages/cobbler/modules/authn_pam.py", line 53, in ?
    from ctypes import CDLL, POINTER, Structure, CFUNCTYPE, cast, pointer, sizeof
ImportError: No module named ctypes
                                                           [  OK  ]

[===> apply patch / rpmbuild <====]


[root@host noarch]$ yum localinstall --nogpgcheck cobbler-2.2.3-3.noarch.rpm 

...

Resolving Dependencies
--> Running transaction check
---> Package cobbler.noarch 0:2.2.3-3 set to be updated
--> Processing Dependency: python-ctypes for package: cobbler
--> Running transaction check
---> Package python-ctypes.x86_64 0:1.0.2-3.el5 set to be updated
--> Finished Dependency Resolution

...

Running Transaction
  Installing     : python-ctypes                                                                                               1/3 
  Updating       : cobbler                                                                                                     2/3 
Stopping cobbler daemon: [FAILED]
Starting cobbler daemon: [  OK  ]
  Cleanup        : cobbler                                                                                                     3/3 

Dependency Installed:
  python-ctypes.x86_64 0:1.0.2-3.el5                                                                                               

Updated:
  cobbler.noarch 0:2.2.3-3                                                                                                         

Complete!
Comment 4 Fedora Update System 2014-04-21 16:32:49 EDT
cobbler-2.4.3-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cobbler-2.4.3-1.el5
Comment 5 Fedora Update System 2014-04-22 11:34:10 EDT
cobbler-2.4.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cobbler-2.4.4-1.fc20
Comment 6 Fedora Update System 2014-04-22 11:35:19 EDT
cobbler-2.4.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cobbler-2.4.4-1.fc19
Comment 7 Fedora Update System 2014-04-22 11:36:20 EDT
cobbler-2.4.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cobbler-2.4.4-1.el6
Comment 8 Fedora Update System 2014-04-22 11:37:21 EDT
cobbler-2.4.4-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cobbler-2.4.4-1.el5
Comment 9 Fedora Update System 2014-04-22 15:56:32 EDT
Package cobbler-2.4.4-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing cobbler-2.4.4-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1211/cobbler-2.4.4-1.el5
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2014-05-03 15:57:39 EDT
cobbler-2.4.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2014-05-08 17:59:51 EDT
cobbler-2.4.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2014-05-08 22:56:56 EDT
cobbler-2.4.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2014-05-09 18:01:59 EDT
cobbler-2.4.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.